// Pour Emacs : -*-Mode: C++;-*-
/*
 *   Comtrans
 *   par Eric Berthomier <e.berthomier@symbiose-informatique.com>
 *
 */

#include "comtrans.h"
#include "menu_appli.h"

#if HAVE_LIBC_H
#  include <libc.h>
#endif

#undef index	// needed for NeXT

// Titre de la fentre
void CComtrans::title ()
{
}

// Initialisation des couleurs personnalises  l'application
void CComtrans::init_color ()
{
  if (Root_Window->colors() > 1)
    {
      // Fond des fentres
      Root_Window->setcolor (5);
      Root_Window->setpalette (COLOR_BLACK, COLOR_WHITE);

      // Titre des fentres BLANC sur Fond BLEU
      Root_Window->setcolor (6);
      Root_Window->setpalette (COLOR_WHITE, COLOR_BLUE);

      // Message Important
      Root_Window->setcolor (7);
      Root_Window->setpalette (COLOR_BLACK, COLOR_RED);

      // Caractre en surbrillance
      Root_Window->setcolor (8);
      Root_Window->setpalette (COLOR_RED, COLOR_BLACK);

      // Blanc sur fond Cyan
      Root_Window->setcolor (9);
      Root_Window->setpalette (COLOR_WHITE, COLOR_CYAN);

      // Jaune sur fond Cyan
      Root_Window->setcolor (10);
      Root_Window->setpalette (COLOR_YELLOW, COLOR_CYAN);

      // Bleu sur fond Cyan
      Root_Window->setcolor (11);
      Root_Window->setpalette (COLOR_BLUE, COLOR_CYAN);

      // Noir sur fond Cyan
      Root_Window->setcolor (12);
      Root_Window->setpalette (COLOR_BLACK, COLOR_CYAN);

      // Rouge sur fond Cyan
      Root_Window->setcolor (13);
      Root_Window->setpalette (COLOR_RED, COLOR_CYAN);

      // Blanc sur fond Blanc
      Root_Window->setcolor (14);
      Root_Window->setpalette (COLOR_WHITE, COLOR_WHITE);

      // Jaune sur fond Rouge
      Root_Window->setcolor (15);
      Root_Window->setpalette (COLOR_YELLOW, COLOR_RED);
    }
}

// Excutable implicite de l'application
int CComtrans::run() 
{
  setlocale (LC_ALL, "fr_FR");

  init_color ();

  trace (TRACE_CALLS);

  CMenuAppli menu;
  menu ();

  return (0);
}

//
// -------------------------------------------------------------------------
//

static CComtrans comtrans;
