#ifndef _MENU_APPLI_H
#define _MENU_APPLI_H

#include "commun.h"

//
// -------------------------------------------------------------------------
//
class PassiveItem : public NCursesMenuItem {
public:
  PassiveItem(const char* text) : NCursesMenuItem(text) 
    {
      options_off(O_SELECTABLE);
    }
};
//
// -------------------------------------------------------------------------
//
class CMenuAppli : public NCursesMenu
{
private:
  NCursesMenuItem** I;
  #define n_items 9

public:
  CMenuAppli ();
  ~CMenuAppli();

private:
  virtual void On_Menu_Init();
  virtual void On_Menu_Termination();
  virtual void On_Item_Init(NCursesMenuItem& item);
  virtual void On_Item_Termination(NCursesMenuItem& item);
};
#endif
