#include "menu_appli.h"

//
// -------------------------------------------------------------------------
//
CMenuAppli::CMenuAppli ()
  : NCursesMenu (n_items+2, 18, 4, 2)
{
  I = new NCursesMenuItem*[1+n_items];
  I[0] = new NCursesMenuItem ("  Rception");
  I[1] = new NCursesMenuItem ("  Emission");
  I[2] = new PassiveItem ("---------------");
  I[3] = new NCursesMenuItem ("  Maintenance");
  I[4] = new NCursesMenuItem ("  Emulation");
  I[5] = new NCursesMenuItem ("  Interne");
  I[6] = new NCursesMenuItem ("  Reseau Local");
  I[7] = new PassiveItem ("---------------");
  I[8] = new NCursesMenuItem (" *Config. Imp.");
  I[9] = new NCursesMenuItem(); // Terminating empty item
  
  InitMenu(I,TRUE,TRUE);
  
  boldframe();
  bkgd (COLOR_PAIR (9) | A_BOLD);

  // Pas de curseur
  set_mark (NULL);
  
  // Couleur de la slection
  set_foreground (COLOR_PAIR (0) | A_BOLD);
  // Couleur de fond
  set_background (COLOR_PAIR (12));
  // Couleur de non slectionnable
  set_grey (COLOR_PAIR (12));

  set_current (*I[5]);
}

CMenuAppli::~CMenuAppli()
{
}

void CMenuAppli::On_Menu_Init()
{
}

void CMenuAppli::On_Menu_Termination()
{
}

void CMenuAppli::On_Item_Init(NCursesMenuItem& item)
{
  _tracef ("I'm on item %s",item.name ());

  if (!(item.options () & O_SELECTABLE))
    {
      _tracef ("Item isn't selectable");
      set_current (*I[0]);
    }
}

void CMenuAppli::On_Item_Termination(NCursesMenuItem& item)
{
}
